// ThreadExample.java
// Demonstrate the usage of ModThread class that extends Thread class.

public class ThreadExample {
  public static void main(String[] args) {
    ModThread modthread = new ModThread( 8, 3);
    //Start the threads
    modthread.start();
    try {
	//delay for two second
	Thread.currentThread().sleep(2000);
    } catch (InterruptedException e) {
    }
    //Display info about the main thread
    System.out.println(Thread.currentThread());

  }
}
